Subject: Re: bug#30644: Cuirass runs out of build users

From: Andreas Enge <[email-masked]>
Date: Mon, 5 Mar 2018 10:02:56 +0100

On Fri, Mar 02, 2018 at 04:08:33PM +0200, Efraim Flashner wrote:
> When I use a shell script to build all the packages, if a package hangs
> and gets eaten by the timout-limit then it holds the build user and
> space in /tmp until all 10 builders are taken and building stops or all
> the builds finish and then it releases them.

Right now, I observe something else: Only one package is built at a time,
taking space in /tmp. But it is not the same build user; I saw one package
with guixbuilder06, and now it is building one package with guixbuilder01.

Is there a way to check which builders are considered taken? A lock file
somewhere?

Andreas